summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/d-i_build.sh53
-rwxr-xr-xbin/d-i_manual.sh2
2 files changed, 54 insertions, 1 deletions
diff --git a/bin/d-i_build.sh b/bin/d-i_build.sh
new file mode 100755
index 00000000..73e39b27
--- /dev/null
+++ b/bin/d-i_build.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+# Copyright 2012 Holger Levsen <holger@layer-acht.org>
+# released under the GPLv=2
+
+#
+# default settings
+#
+set -x
+set -e
+export LC_ALL=C
+export MIRROR=http://ftp.de.debian.org/debian
+export http_proxy="http://localhost:3128"
+export
+
+init_workspace() {
+ #
+ # clean
+ #
+ rm -fv *.deb *.udeb *.dsc *_*.build *_*.changes *_*.tar.gz
+
+ #
+ # svn checkout and update is done by jenkins job
+ #
+ svn status
+}
+
+pdebuild_package() {
+ #
+ # prepare build
+ #
+ if [ ! -f /var/cache/pbuilder/base.tgz ] ; then
+ sudo pbuilder --create
+ else
+ sudo pbuilder --update
+ fi
+
+ #
+ # build
+ #
+ pdebuild
+}
+
+init_workspace
+#
+# if $1 is not given, build the package normally,
+# else...
+#
+if [ "$1" = "" ] ; then
+ pdebuild_package
+else
+ echo do something else ; exit 1
+fi
diff --git a/bin/d-i_manual.sh b/bin/d-i_manual.sh
index c1e99e9f..fd1fbaaf 100755
--- a/bin/d-i_manual.sh
+++ b/bin/d-i_manual.sh
@@ -29,7 +29,7 @@ pdebuild_package() {
#
# prepare build
#
- if [ -f /var/base.tgz ] ; then
+ if [ -f /var/cache/pbuilder/base.tgz ] ; then
sudo pbuilder --create
else
sudo pbuilder --update